FROM node:19

LABEL maintainer="Fabian Stamm <dev@fabianstamm.de>"

RUN apt-get update

RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

ENV NODE_ENV=production

COPY ["package.json", "yarn.lock", "/usr/src/app/"]

RUN yarn install

COPY lib/ /usr/src/app/lib

VOLUME [ "/usr/src/app/logs", "/usr/src/app/persist"]

CMD ["npm", "run", "start"]